import { Router } from "express"
import { getUser } from "../endpoints/cli-get-user.js"
import { sendOptimizationCompletedEmail } from "../endpoints/send-completed-optimization-email.js"
import { addAsync } from "@awaitjs/express"
import { ROUTES } from "../constants/index.js"

const router = addAsync(Router()) as any

// User endpoints
router.get(ROUTES.CLI_GET_USER, getUser)

// Email endpoints
router.postAsync(ROUTES.SEND_COMPLETION_EMAIL, sendOptimizationCompletedEmail)

export default router
